<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: HttpRequest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classHttpRequest-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HttpRequest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a866f33e85b736b32f0084d64a716529c"><td class="memItemLeft" align="right" valign="top"><a id="a866f33e85b736b32f0084d64a716529c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a866f33e85b736b32f0084d64a716529c">HttpRequest</a> (<a class="el" href="classSocket.html">Socket</a> s)</td></tr>
<tr class="memdesc:a866f33e85b736b32f0084d64a716529c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an HTTP Request instance. <br /></td></tr>
<tr class="separator:a866f33e85b736b32f0084d64a716529c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a970869c3e73fb4cf6758793e5fa27471"><td class="memItemLeft" align="right" valign="top"><a id="a970869c3e73fb4cf6758793e5fa27471"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a970869c3e73fb4cf6758793e5fa27471">close</a> ()</td></tr>
<tr class="memdesc:a970869c3e73fb4cf6758793e5fa27471"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the <a class="el" href="classHttpRequest.html">HttpRequest</a>. <br /></td></tr>
<tr class="separator:a970869c3e73fb4cf6758793e5fa27471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5ce3688a7340c0e04b026c51ee5154"><td class="memItemLeft" align="right" valign="top"><a id="a0a5ce3688a7340c0e04b026c51ee5154"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a0a5ce3688a7340c0e04b026c51ee5154">dump</a> ()</td></tr>
<tr class="memdesc:a0a5ce3688a7340c0e04b026c51ee5154"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump the <a class="el" href="classHttpRequest.html">HttpRequest</a> for debugging purposes. <br /></td></tr>
<tr class="separator:a0a5ce3688a7340c0e04b026c51ee5154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbdb7737b89853ed346dd61c51e1836f"><td class="memItemLeft" align="right" valign="top"><a id="afbdb7737b89853ed346dd61c51e1836f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#afbdb7737b89853ed346dd61c51e1836f">getBody</a> ()</td></tr>
<tr class="memdesc:afbdb7737b89853ed346dd61c51e1836f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the body of the <a class="el" href="classHttpRequest.html">HttpRequest</a>. <br /></td></tr>
<tr class="separator:afbdb7737b89853ed346dd61c51e1836f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab252baed3c7368fd26708c299bf89e34"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#ab252baed3c7368fd26708c299bf89e34">getHeader</a> (std::string name)</td></tr>
<tr class="memdesc:ab252baed3c7368fd26708c299bf89e34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the named header.  <a href="#ab252baed3c7368fd26708c299bf89e34">More...</a><br /></td></tr>
<tr class="separator:ab252baed3c7368fd26708c299bf89e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e157d6a9059373a5614573d3d49860b"><td class="memItemLeft" align="right" valign="top"><a id="a8e157d6a9059373a5614573d3d49860b"></a>
std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getHeaders</b> ()</td></tr>
<tr class="separator:a8e157d6a9059373a5614573d3d49860b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab71053bfdeac7cab93f438361f0a800d"><td class="memItemLeft" align="right" valign="top"><a id="ab71053bfdeac7cab93f438361f0a800d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getMethod</b> ()</td></tr>
<tr class="separator:ab71053bfdeac7cab93f438361f0a800d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c8e0c2c14135ece794b8bbbd37ccfdb"><td class="memItemLeft" align="right" valign="top"><a id="a1c8e0c2c14135ece794b8bbbd37ccfdb"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getPath</b> ()</td></tr>
<tr class="separator:a1c8e0c2c14135ece794b8bbbd37ccfdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab09977e9201d7b79d0f77d416096d707"><td class="memItemLeft" align="right" valign="top">std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#ab09977e9201d7b79d0f77d416096d707">getQuery</a> ()</td></tr>
<tr class="memdesc:ab09977e9201d7b79d0f77d416096d707"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the query part of the request. The query is a set of name = value pairs. The return is a map keyed by the name items.  <a href="#ab09977e9201d7b79d0f77d416096d707">More...</a><br /></td></tr>
<tr class="separator:ab09977e9201d7b79d0f77d416096d707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704e22a6312c4b88d3a13803893faccf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSocket.html">Socket</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a704e22a6312c4b88d3a13803893faccf">getSocket</a> ()</td></tr>
<tr class="memdesc:a704e22a6312c4b88d3a13803893faccf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the underlying socket.  <a href="#a704e22a6312c4b88d3a13803893faccf">More...</a><br /></td></tr>
<tr class="separator:a704e22a6312c4b88d3a13803893faccf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ffb5df637ec2c7d3d0c4346c5154e7"><td class="memItemLeft" align="right" valign="top"><a id="aa8ffb5df637ec2c7d3d0c4346c5154e7"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getVersion</b> ()</td></tr>
<tr class="separator:aa8ffb5df637ec2c7d3d0c4346c5154e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad888f752e5970269ddcba963304d57d0"><td class="memItemLeft" align="right" valign="top"><a id="ad888f752e5970269ddcba963304d57d0"></a>
<a class="el" href="classWebSocket.html">WebSocket</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getWebSocket</b> ()</td></tr>
<tr class="separator:ad888f752e5970269ddcba963304d57d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a219c6b9d700e5940d86d909e4c9a0169"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a219c6b9d700e5940d86d909e4c9a0169">isClosed</a> ()</td></tr>
<tr class="memdesc:a219c6b9d700e5940d86d909e4c9a0169"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if the request is closed.  <a href="#a219c6b9d700e5940d86d909e4c9a0169">More...</a><br /></td></tr>
<tr class="separator:a219c6b9d700e5940d86d909e4c9a0169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6a0b548a6a104d1e94b17f6c96d5fe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#ada6a0b548a6a104d1e94b17f6c96d5fe">isWebsocket</a> ()</td></tr>
<tr class="memdesc:ada6a0b548a6a104d1e94b17f6c96d5fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if this request represents a <a class="el" href="classWebSocket.html">WebSocket</a>.  <a href="#ada6a0b548a6a104d1e94b17f6c96d5fe">More...</a><br /></td></tr>
<tr class="separator:ada6a0b548a6a104d1e94b17f6c96d5fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53f09999b5f93920c79eed1423a490cf"><td class="memItemLeft" align="right" valign="top">std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a53f09999b5f93920c79eed1423a490cf">parseForm</a> ()</td></tr>
<tr class="memdesc:a53f09999b5f93920c79eed1423a490cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse the request message as a form.  <a href="#a53f09999b5f93920c79eed1423a490cf">More...</a><br /></td></tr>
<tr class="separator:a53f09999b5f93920c79eed1423a490cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69559e9b796efa4ba6abaefffc77ddd0"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a69559e9b796efa4ba6abaefffc77ddd0">pathSplit</a> ()</td></tr>
<tr class="memdesc:a69559e9b796efa4ba6abaefffc77ddd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the constituent parts of the path. If we imagine a path as composed of parts separated by slashes, then this function returns a vector composed of the parts. For example:  <a href="#a69559e9b796efa4ba6abaefffc77ddd0">More...</a><br /></td></tr>
<tr class="separator:a69559e9b796efa4ba6abaefffc77ddd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33588e0cf0864e1be7c519f7d491e01e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpRequest.html#a33588e0cf0864e1be7c519f7d491e01e">urlDecode</a> (std::string str)</td></tr>
<tr class="memdesc:a33588e0cf0864e1be7c519f7d491e01e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decode a URL/form.  <a href="#a33588e0cf0864e1be7c519f7d491e01e">More...</a><br /></td></tr>
<tr class="separator:a33588e0cf0864e1be7c519f7d491e01e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a1bf74925c49868018669d681cb4c0c94"><td class="memItemLeft" align="right" valign="top"><a id="a1bf74925c49868018669d681cb4c0c94"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_ACCEPT</b> [] = &quot;Accept&quot;</td></tr>
<tr class="separator:a1bf74925c49868018669d681cb4c0c94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80792c9e9dd09feb759ce12ff02fecf3"><td class="memItemLeft" align="right" valign="top"><a id="a80792c9e9dd09feb759ce12ff02fecf3"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_ALLOW</b> [] = &quot;Allow&quot;</td></tr>
<tr class="separator:a80792c9e9dd09feb759ce12ff02fecf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793c1599d8fefbadf35dd3b7074bafee"><td class="memItemLeft" align="right" valign="top"><a id="a793c1599d8fefbadf35dd3b7074bafee"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_CONNECTION</b> [] = &quot;Connection&quot;</td></tr>
<tr class="separator:a793c1599d8fefbadf35dd3b7074bafee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d0ff0b3b64863bbc10a8afaab380f2"><td class="memItemLeft" align="right" valign="top"><a id="ac5d0ff0b3b64863bbc10a8afaab380f2"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_CONTENT_LENGTH</b> [] = &quot;Content-Length&quot;</td></tr>
<tr class="separator:ac5d0ff0b3b64863bbc10a8afaab380f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9cc6de0d1b29e34ed9a29b7825726e"><td class="memItemLeft" align="right" valign="top"><a id="acd9cc6de0d1b29e34ed9a29b7825726e"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_CONTENT_TYPE</b> [] = &quot;Content-Type&quot;</td></tr>
<tr class="separator:acd9cc6de0d1b29e34ed9a29b7825726e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c93c97cb88c11f07b64cfdedf4bf5c4"><td class="memItemLeft" align="right" valign="top"><a id="a9c93c97cb88c11f07b64cfdedf4bf5c4"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_COOKIE</b> [] = &quot;Cookie&quot;</td></tr>
<tr class="separator:a9c93c97cb88c11f07b64cfdedf4bf5c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4fd263b7fa36324da7e7cbe341be72b"><td class="memItemLeft" align="right" valign="top"><a id="ad4fd263b7fa36324da7e7cbe341be72b"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_HOST</b> [] = &quot;Host&quot;</td></tr>
<tr class="separator:ad4fd263b7fa36324da7e7cbe341be72b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cbddbceb2b4e23a4040a5ed7294afff"><td class="memItemLeft" align="right" valign="top"><a id="a0cbddbceb2b4e23a4040a5ed7294afff"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_LAST_MODIFIED</b> [] = &quot;Last-Modified&quot;</td></tr>
<tr class="separator:a0cbddbceb2b4e23a4040a5ed7294afff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab930ef09eefc383fbb7ace48678533ed"><td class="memItemLeft" align="right" valign="top"><a id="ab930ef09eefc383fbb7ace48678533ed"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_ORIGIN</b> [] = &quot;Origin&quot;</td></tr>
<tr class="separator:ab930ef09eefc383fbb7ace48678533ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3d6efe7f664f0118e43a89eec41c92"><td class="memItemLeft" align="right" valign="top"><a id="a2d3d6efe7f664f0118e43a89eec41c92"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_SEC_WEBSOCKET_ACCEPT</b> [] = &quot;Sec-<a class="el" href="classWebSocket.html">WebSocket</a>-Accept&quot;</td></tr>
<tr class="separator:a2d3d6efe7f664f0118e43a89eec41c92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6145511eaf108eee7bd1d11b97d89e11"><td class="memItemLeft" align="right" valign="top"><a id="a6145511eaf108eee7bd1d11b97d89e11"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_SEC_WEBSOCKET_PROTOCOL</b> [] = &quot;Sec-<a class="el" href="classWebSocket.html">WebSocket</a>-Protocol&quot;</td></tr>
<tr class="separator:a6145511eaf108eee7bd1d11b97d89e11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab90162d2b9d3d7765c9cc4643118c11f"><td class="memItemLeft" align="right" valign="top"><a id="ab90162d2b9d3d7765c9cc4643118c11f"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_SEC_WEBSOCKET_KEY</b> [] = &quot;Sec-<a class="el" href="classWebSocket.html">WebSocket</a>-Key&quot;</td></tr>
<tr class="separator:ab90162d2b9d3d7765c9cc4643118c11f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39c6dbaf8c892f62644868155a55fa16"><td class="memItemLeft" align="right" valign="top"><a id="a39c6dbaf8c892f62644868155a55fa16"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_SEC_WEBSOCKET_VERSION</b> [] = &quot;Sec-<a class="el" href="classWebSocket.html">WebSocket</a>-Version&quot;</td></tr>
<tr class="separator:a39c6dbaf8c892f62644868155a55fa16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a46d60c7608f54a1f407f44252b58e5"><td class="memItemLeft" align="right" valign="top"><a id="a9a46d60c7608f54a1f407f44252b58e5"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_UPGRADE</b> [] = &quot;Upgrade&quot;</td></tr>
<tr class="separator:a9a46d60c7608f54a1f407f44252b58e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35642c9d929aaaeec7d77cdd58fe9468"><td class="memItemLeft" align="right" valign="top"><a id="a35642c9d929aaaeec7d77cdd58fe9468"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_HEADER_USER_AGENT</b> [] = &quot;User-Agent&quot;</td></tr>
<tr class="separator:a35642c9d929aaaeec7d77cdd58fe9468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b1633e44bd2c021fc523671197e5be3"><td class="memItemLeft" align="right" valign="top"><a id="a9b1633e44bd2c021fc523671197e5be3"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_CONNECT</b> [] = &quot;CONNECT&quot;</td></tr>
<tr class="separator:a9b1633e44bd2c021fc523671197e5be3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a916e41843c5caa4a8a8562224a4d664b"><td class="memItemLeft" align="right" valign="top"><a id="a916e41843c5caa4a8a8562224a4d664b"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_DELETE</b> [] = &quot;DELETE&quot;</td></tr>
<tr class="separator:a916e41843c5caa4a8a8562224a4d664b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a9a8ce924e193bdc1d4051e74e33d9"><td class="memItemLeft" align="right" valign="top"><a id="ae8a9a8ce924e193bdc1d4051e74e33d9"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_GET</b> [] = &quot;GET&quot;</td></tr>
<tr class="separator:ae8a9a8ce924e193bdc1d4051e74e33d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad565b257daa811a7802b20f154f2b09"><td class="memItemLeft" align="right" valign="top"><a id="aad565b257daa811a7802b20f154f2b09"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_HEAD</b> [] = &quot;HEAD&quot;</td></tr>
<tr class="separator:aad565b257daa811a7802b20f154f2b09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30b325f6346e911cb4dc363ea56c8619"><td class="memItemLeft" align="right" valign="top"><a id="a30b325f6346e911cb4dc363ea56c8619"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_OPTIONS</b> [] = &quot;OPTIONS&quot;</td></tr>
<tr class="separator:a30b325f6346e911cb4dc363ea56c8619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb543a90701d1bb532feb050594d0982"><td class="memItemLeft" align="right" valign="top"><a id="acb543a90701d1bb532feb050594d0982"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_PATCH</b> [] = &quot;PATCH&quot;</td></tr>
<tr class="separator:acb543a90701d1bb532feb050594d0982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a680342d3f100041346d7ed8aba9f7cfd"><td class="memItemLeft" align="right" valign="top"><a id="a680342d3f100041346d7ed8aba9f7cfd"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_POST</b> [] = &quot;POST&quot;</td></tr>
<tr class="separator:a680342d3f100041346d7ed8aba9f7cfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af00e99f6c391bb91d9ec6349c9fa3cc5"><td class="memItemLeft" align="right" valign="top"><a id="af00e99f6c391bb91d9ec6349c9fa3cc5"></a>
static const char&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_METHOD_PUT</b> [] = &quot;PUT&quot;</td></tr>
<tr class="separator:af00e99f6c391bb91d9ec6349c9fa3cc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab252baed3c7368fd26708c299bf89e34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab252baed3c7368fd26708c299bf89e34">&#9670;&nbsp;</a></span>getHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string HttpRequest::getHeader </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the named header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the header field to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the header field. </dd></dl>

</div>
</div>
<a id="ab09977e9201d7b79d0f77d416096d707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab09977e9201d7b79d0f77d416096d707">&#9670;&nbsp;</a></span>getQuery()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::map&lt; std::string, std::string &gt; HttpRequest::getQuery </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the query part of the request. The query is a set of name = value pairs. The return is a map keyed by the name items. </p>
<dl class="section return"><dt>Returns</dt><dd>The query part of the request. </dd></dl>

</div>
</div>
<a id="a704e22a6312c4b88d3a13803893faccf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a704e22a6312c4b88d3a13803893faccf">&#9670;&nbsp;</a></span>getSocket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSocket.html">Socket</a> HttpRequest::getSocket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the underlying socket. </p>
<dl class="section return"><dt>Returns</dt><dd>The underlying socket. </dd></dl>

</div>
</div>
<a id="a219c6b9d700e5940d86d909e4c9a0169"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a219c6b9d700e5940d86d909e4c9a0169">&#9670;&nbsp;</a></span>isClosed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HttpRequest::isClosed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if the request is closed. </p>
<dl class="section return"><dt>Returns</dt><dd>Returns true if the request is closed. </dd></dl>

</div>
</div>
<a id="ada6a0b548a6a104d1e94b17f6c96d5fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada6a0b548a6a104d1e94b17f6c96d5fe">&#9670;&nbsp;</a></span>isWebsocket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HttpRequest::isWebsocket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if this request represents a <a class="el" href="classWebSocket.html">WebSocket</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>True if the request creates a web socket. </dd></dl>

</div>
</div>
<a id="a53f09999b5f93920c79eed1423a490cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53f09999b5f93920c79eed1423a490cf">&#9670;&nbsp;</a></span>parseForm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::map&lt; std::string, std::string &gt; HttpRequest::parseForm </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Parse the request message as a form. </p>
<dl class="section return"><dt>Returns</dt><dd>A map containing the names/values of the form elements that were found. </dd></dl>

</div>
</div>
<a id="a69559e9b796efa4ba6abaefffc77ddd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69559e9b796efa4ba6abaefffc77ddd0">&#9670;&nbsp;</a></span>pathSplit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; HttpRequest::pathSplit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the constituent parts of the path. If we imagine a path as composed of parts separated by slashes, then this function returns a vector composed of the parts. For example: </p>
<div class="fragment"><div class="line">/x/y/z</div></div><!-- fragment --><p> will break out to:</p>
<div class="fragment"><div class="line">path[0] = <span class="stringliteral">&quot;&quot;</span></div><div class="line">path[1] = <span class="stringliteral">&quot;x&quot;</span></div><div class="line">path[2] = <span class="stringliteral">&quot;y&quot;</span></div><div class="line">path[3] = <span class="stringliteral">&quot;z&quot;</span></div></div><!-- fragment --><dl class="section return"><dt>Returns</dt><dd>A vector of the constituent parts of the path. </dd></dl>

</div>
</div>
<a id="a33588e0cf0864e1be7c519f7d491e01e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33588e0cf0864e1be7c519f7d491e01e">&#9670;&nbsp;</a></span>urlDecode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string HttpRequest::urlDecode </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Decode a URL/form. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">str</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The decoded string. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="HttpRequest_8h_source.html">HttpRequest.h</a></li>
<li>HttpRequest.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
